#include <vector>
#include <cassert>
#include <iostream>
#include "summe.h"
using namespace std;

void function_check() {
	// berechneSumme
	vector<int> myvector = {4, 7, -3, 10};
	int result = berechneSumme(myvector);
	assert(result == 18 && "Result must be 18");
	cout << "berechneSumme erfolgreich" << endl;
}

int main()
{
	cout << "Funktionsüberprüfung" << endl;

	// Function checks
	function_check();
}
